Premiers pas avec le framework PHP Zend Configuration du framework

Le framework Zend a besoin de la version PHP 5.1.4, ou de version ultérieure, et d'un serveur Web Apache qui doit avoir l'extension mod_rewrite installée et configurée. Il faut aussi vérifier que htaccess est accepté en modifiant dans httpd.conf la valeur AllowOverride NONE à ALL.


Zend nécessite de bonnes connaissances de PHP 5, donc des compétences en développement objets, ainsi qu'un savoir-faire autour de la SPL (Standard PHP Library) qui fournit un ensemble de classes internes à PHP.

 

Le framework Zend est téléchargeable sur le site Zend Framework. A ce jour, il est composé de 48 packages fonctionnels. Pour l'installer, décompresser le fichier dans un répertoire. Il reste à faire pointer la constante ZEND_FRAMEWORK_DIR sur le répertoire '"ibrary" qui se trouve dans le dossier où a été décompressé le framework.

 

Quelques composants Zend utiles
Source : Benchmark Group
Zend-AuthAuthentification
Zend_Db Connexion à une base de données
Zend_ControllerLien entre le modèle et la vue dans le schéma MVC
Zend_MailEnvoi de mails
Zend_PdfGénération de fichiers PDF
Zend_Search LuceneOutil d'indexation Lucene d'Apache

 

 

 

Framework